quietly set ACTELLIBNAME PolarFire
quietly set PROJECT_DIR "T:/FPGA/PolarFire/Sample_Projects/PolarFire_CortexM1_HDMI"

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap PolarFire "C:/Microsemi/Libero_SoC_PolarFire_v1.1/Designer/lib/modelsimpro/precompiled/vlog/PolarFire"
if {[file exists COREAHBLSRAM_PF_LIB/_info]} {
   echo "INFO: Simulation library COREAHBLSRAM_PF_LIB already exists"
} else {
   file delete -force COREAHBLSRAM_PF_LIB 
   vlib COREAHBLSRAM_PF_LIB
}
vmap COREAHBLSRAM_PF_LIB "COREAHBLSRAM_PF_LIB"
vmap COREAHBLITE_LIB "../component/Actel/DirectCore/CoreAHBLite/5.2.100/mti/user_vlog/COREAHBLITE_LIB"
vcom -work COREAHBLITE_LIB -force_refresh
vlog -work COREAHBLITE_LIB -force_refresh
if {[file exists COREAHBTOAPB3_LIB/_info]} {
   echo "INFO: Simulation library COREAHBTOAPB3_LIB already exists"
} else {
   file delete -force COREAHBTOAPB3_LIB 
   vlib COREAHBTOAPB3_LIB
}
vmap COREAHBTOAPB3_LIB "COREAHBTOAPB3_LIB"
if {[file exists COREAPB3_LIB/_info]} {
   echo "INFO: Simulation library COREAPB3_LIB already exists"
} else {
   file delete -force COREAPB3_LIB 
   vlib COREAPB3_LIB
}
vmap COREAPB3_LIB "COREAPB3_LIB"
if {[file exists COREGPIO_LIB/_info]} {
   echo "INFO: Simulation library COREGPIO_LIB already exists"
} else {
   file delete -force COREGPIO_LIB 
   vlib COREGPIO_LIB
}
vmap COREGPIO_LIB "COREGPIO_LIB"
if {[file exists COREUARTAPB_LIB/_info]} {
   echo "INFO: Simulation library COREUARTAPB_LIB already exists"
} else {
   file delete -force COREUARTAPB_LIB 
   vlib COREUARTAPB_LIB
}
vmap COREUARTAPB_LIB "COREUARTAPB_LIB"
if {[file exists CORESPI_LIB/_info]} {
   echo "INFO: Simulation library CORESPI_LIB already exists"
} else {
   file delete -force CORESPI_LIB 
   vlib CORESPI_LIB
}
vmap CORESPI_LIB "CORESPI_LIB"

vlog -vlog01compat -work presynth "${PROJECT_DIR}/hdl/pattern_vg.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/hdl/sync_vg.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/hdl/top_sync_vg_pattern.v"
vcom -2008 -explicit  -work presynth "${PROJECT_DIR}/hdl/HDMI_ADV7513_Interface.vhd"
vcom -2008 -explicit  -work COREAHBLSRAM_PF_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREAHBLSRAM_PF/2.3.104/rtl/vhdl/core/coreahblsram_pkg.vhd"
vcom -2008 -explicit  -work COREAHBLSRAM_PF_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREAHBLSRAM_PF/2.3.104/rtl/vhdl/core/misc_pkg.vhd"
vlog "+incdir+${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/work/ADV7513_tb" -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1/CLK_GEN.v"
vlog "+incdir+${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/work/ADV7513_tb" -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1/RESET_GEN.v"
vlog "+incdir+${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/work/ADV7513_tb" -vlog01compat -work presynth "${PROJECT_DIR}/component/work/ADV7513_tb/ADV7513_tb.v"

vsim -L PolarFire -L presynth -L COREAHBLSRAM_PF_LIB -L COREAHBLITE_LIB -L COREAHBTOAPB3_LIB -L COREAPB3_LIB -L COREGPIO_LIB -L COREUARTAPB_LIB -L CORESPI_LIB  -t 1ps presynth.ADV7513_tb
add wave /ADV7513_tb/*
add log -r /*
run 1000ns
